package com.tptj.demo.hg.access.provider;

import com.fr.decision.fun.impl.AbstractAccessProvider;
import com.fr.intelli.record.Focus;
import com.fr.record.analyzer.EnableMetrics;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-04-22
 **/
@EnableMetrics
public class Demo extends AbstractAccessProvider {
    @Override
    public boolean access(String username, String password, String ticket){
        //2018-09-13 后的V10版本中都可以使用这个接口方法
        return false;
    }

    @Override
    @Focus(id="com.tptj.demo.hg.access.provider.v10",text = "第三方登录接口")
    public String auth(String username, String password, String ticket) {
        //2020-10-16 后的V10版本中新增的接口方法,与access方法二选一实现即可，推荐使用新方法
        //access 仅仅是为了兼容才保留的
        if( "1234567890".equals(ticket) ){
            return "Anna";
        }
        return null;
    }
}
